import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.WindowConstants;

/**
 * Shows how to create a JFrame. 
 * 
 * @author hp
 */
public class Swing01_JFrameTest {

	private static final long serialVersionUID = 1L;

	JFrame frame;
	JPanel panel;

	/** 
	 *  JFrame to show the creation of a JFrame and the addition of 
	 *  some components to the content pane. 
	 */
	public Swing01_JFrameTest() {

		frame = new JFrame("JFrame with 2 buttons and a panel ");

		//frame.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE); 
		frame.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent event) {
				event.getWindow().setVisible(false);
				event.getWindow().dispose();
				System.exit(0);
			}
		});
		JComponent contentPane = (JComponent) frame.getContentPane();
		contentPane.setLayout(null);

		JButton redB = new JButton("Red");
		redB.setBounds(10, 10, 100, 30);
		contentPane.add(redB);
		redB.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				panel.setBackground(Color.RED);
				panel.repaint();
			}
		});

		JButton blueB = new JButton("Blue");
		blueB.setBounds(200, 10, 100, 30);
		contentPane.add(blueB);
		blueB.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				panel.setBackground(Color.BLUE);
				panel.repaint();
			}

		});

		panel = new JPanel();
		panel.setBounds(10, 50, 290, 300);
		panel.setBackground(Color.DARK_GRAY);
		contentPane.add(panel);

		frame.setLocation(100, 100);
		frame.setSize(400, 400);
		frame.setVisible(true);
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		Swing01_JFrameTest app = new Swing01_JFrameTest();

	}

	public class WindowClosingAdapter extends WindowAdapter {
	}

}
